Package org.apache.storm.container.oci

## Class ImageManifest

- java.lang.Object
- - org.apache.storm.container.oci.ImageManifest

-     public class ImageManifest
      extends Object

  The image manifest. See OCI Image Manifest Specification.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageManifest()` |
    `ImageManifest​(int schemaVersion, String mediaType, org.apache.storm.container.oci.ImageManifest.Blob config, ArrayList<org.apache.storm.container.oci.ImageManifest.Blob> layers, Map<String,​String> annotations)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​String>` | `getAnnotations()` |
    `org.apache.storm.container.oci.ImageManifest.Blob` | `getConfig()` |
    `ArrayList<org.apache.storm.container.oci.ImageManifest.Blob>` | `getLayers()` |
    `String` | `getMediaType()` |
    `int` | `getSchemaVersion()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageManifest

          public ImageManifest()

    - #### ImageManifest

          public ImageManifest​(int schemaVersion,
                               String mediaType,
                               org.apache.storm.container.oci.ImageManifest.Blob config,
                               ArrayList<org.apache.storm.container.oci.ImageManifest.Blob> layers,
                               Map<String,​String> annotations)

  - ### Method Detail

    - #### getSchemaVersion

          public int getSchemaVersion()

    - #### getMediaType

          public String getMediaType()

    - #### getConfig

          public org.apache.storm.container.oci.ImageManifest.Blob getConfig()

    - #### getLayers

          public ArrayList<org.apache.storm.container.oci.ImageManifest.Blob> getLayers()

    - #### getAnnotations

          public Map<String,​String> getAnnotations()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`